## mesa-compat 25.1.7

=== bin/ci/requirements.txt ===
# If you change these requirements, and you need these packages
# to be available in the debian/x86_64_pyutils container
# then bump the DEBIAN_PYUTILS_TAG
PyYAML==6.*
colorama==0.4.*
filecache==0.81
filelock==3.*
fire==0.5.0
flake8==7.*
gql==3.*
kaleido==0.2.*
lavacli==2.2.0
pandas==2.*
plotly==5.*
python-dateutil==2.*
python-gitlab==4.*
ruamel.yaml.clib==0.2.*
ruamel.yaml==0.17.*
tabulate==0.9.*
