## mesa-compat 25.0.7

=== debian/changelog ===
mesa-compat (25.0.7-2ubuntu1) questing; urgency=medium

  * Fork mesa-compat for building libosmesa, libxatracker.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 05 Sep 2025 09:13:48 +0300
