## mesa-compat 25.1.7

=== debian/changelog ===
mesa-compat (25.1.7-1ubuntu2) questing; urgency=medium

  * Fork mesa-compat for building libosmesa, libxatracker.
  * Revert dropping osmesa.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 05 Sep 2025 09:13:48 +0300
