=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 
 # for finding the correct llvm-config when meson doesn't know about it yet
-LLVM_VERSION = 19
+LLVM_VERSION = 20
 export PATH:=/usr/lib/llvm-$(LLVM_VERSION)/bin/:$(PATH)
 
 DEB_CFLAGS_MAINT_APPEND := -Wall
@@ -99,7 +99,6 @@
 	touch subprojects/rewrite
 
 override_dh_clean: regen_control
-	dpkg-parsechangelog | awk '/^Version:/ {print $$2}' | sed 's/-.*//;s/~/-/' > VERSION
 	rm -rf build
 	rm -rf configure bin/config.guess bin/config.sub config.h.in
 	rm -rf $$(find -name Makefile.in)
